<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>task30.40</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="css/style.css">
    <link href='https://fonts.googleapis.com/css?family=Space Grotesk' rel='stylesheet'>
    <link href='https://fonts.googleapis.com/css?family=Scope One' rel='stylesheet'>

</head>

<body>
    <div class="desktop">
        <form action="" id="login-form">
            <div class="row">
                <div class="col-md-5 form-right">
                    <div class="text">Contact Us </div>
                    <div class="input-full-name"><input type="text" id="input-name" placeholder="Name"></div>
                    
                    <div class="input-email"><input type="text" id="input-email" placeholder="Email"></div>
    
                    <div class="input-write"><input type="password" id="input-password" placeholder="Write something..."></div>
                    
                    <!-- button -->
                    <button type="submit" class="submit">Submit</button>
                    
                </div>
                <!--  -->
                <div class="col-md-5 form-left">
                    <div class="text-rec">CARVELI</div>
                   
                </div>
            </div>
            

        </form>
    </div>
</body>

</html>
<script>
    'use strict';
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gREQUEST_STATUS_OK = 200;
    const gBASE_URL = "https://62458c222cfed18817229118.mockapi.io/users";

    var gLoginFormElement = document.getElementById("login-form");

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    gLoginFormElement.addEventListener("submit", function (paramEvent) {
        // Loại bỏ mặc định của submit form
        paramEvent.preventDefault();

        callAPILogIn();
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function callAPILogIn() {
        // Thu thập dữ liệu
        var vEmailValue = document.getElementById("input-email").value;
        var vPasswordValue = document.getElementById("input-password").value;
        var vFullNameValue = document.getElementById("input-full-name").value;
        // Kiểm tra dữ liệu
        var vValidate = validateForm(vEmailValue, vPasswordValue, vFullNameValue);

        if (vValidate) {
            // Chuẩn bị input
            var vQueryParams = new URLSearchParams({
                email: vEmailValue,
                password: vPasswordValue
            })

            // Create a request 
            var vXMLHttpLoginRequest = new XMLHttpRequest();
            vXMLHttpLoginRequest.open("GET", gBASE_URL + "?" + vQueryParams.toString(), true);
            vXMLHttpLoginRequest.send();
            vXMLHttpLoginRequest.onreadystatechange =
                function () {
                    if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                        var vLoginInfoResponse = vXMLHttpLoginRequest.responseText;

                        var vLoginInfo = JSON.parse(vLoginInfoResponse);

                        if (vLoginInfo.length > 0) {
                            alert("Đăng nhập thành công.");
                        } else {
                            alert("Đăng nhập thất bại.");
                        }
                    }
                }
        }
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function validateForm(paramEmail, paramPassword, paramFullname) {
        if (!paramEmail.includes("@")) {
            alert("Email không đúng định dạng");
            return false;
        }

        if (paramPassword.length < 8) {
            alert("Độ dài mật khẩu phải lớn hơn hoặc bằng 8");
            return false;
        }
        if (paramFullname == "") {
            alert("Bạn phải nhập tên");
            return false;
        }

        return true;
    }
</script>